import request from '@/utils/request'

// 查询检查项选项列表
export function listCheckOption(query) {
  return request({
    url: '/laboratory/checkOption/list',
    method: 'get',
    params: query
  })
}

// 查询检查项选项详细
export function getCheckOption(id) {
  return request({
    url: '/laboratory/checkOption/' + id,
    method: 'get'
  })
}

// 新增检查项选项
export function addCheckOption(data) {
  return request({
    url: '/laboratory/checkOption',
    method: 'post',
    data: data
  })
}

// 修改检查项选项
export function updateCheckOption(data) {
  return request({
    url: '/laboratory/checkOption',
    method: 'put',
    data: data
  })
}

// 删除检查项选项
export function delCheckOption(id) {
  return request({
    url: '/laboratory/checkOption/' + id,
    method: 'delete'
  })
}

